EDIT - feature request #6161
task # 8515 (New): Remaining registation Ul tasks

Service and webservice to recover forgotten passwords
10/25/2016 09:58 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.29

Severity: normal

Description

The password recovery function allows users to request for a password recovery link which is send to the user via email.

General security recommendations by OWASP :
https://cheatsheetseries.owasp.org/cheatsheets/Forgot Password Cheat Sheet.html

Below are two options for implementing this:

e How to implement this by your self in an easy and concise way:
http://stackoverflow.com/questions/17219917/guide-to-implementing-spring-security-password-recovery-with-dynamic-url-sent-t
0#17238620

* By making use of https:/github.com/OhadR/oAuth2-sample/tree/master/authentication-flows

Related issues:

Related to EDIT - feature request #7275: [DISCUSS] Require email address for ... In Progress
Related to EDIT - feature request #9859: Password Recovery Ul Closed
Related to EDIT - feature request #9497: User self registration service Closed
Precedes EDIT - feature request #6162: Implement "Forgot your password?" butt... New

Associated revisions

Revision 93f25a6b - 11/09/2021 01:54 PM - Andreas Kohlbecker

ref #6161 implementing password recovery service & tests

Revision e121d84a - 11/09/2021 02:41 PM - Andreas Kohlbecker
ref #6161 better exception handling

Revision b3c1efd7 - 11/09/2021 03:32 PM - Andreas Kohlbecker
ref #6161 time oput test

Revision 3ba8fefd - 11/10/2021 01:53 PM - Andreas Kohlbecker

ref #6161 testing for error conditions, timeouts and making ratelimitor configurable

Revision d39bd5fd - 11/11/2021 10:54 AM - Andreas Kohlbecker

ref #6161 PasswordResetService in CdmRepository & better execption handling

Revision e9d64907 - 11/11/2021 01:46 PM - Andreas Kohlbecker

ref #6161 PasswordReset message templates in separate class - 2.

Revision 9f1ff9bc - 11/11/2021 03:55 PM - Andreas Kohlbecker
ref #6161 adding VaadinServletUtilities class

Revision 26854506 - 11/11/2021 04:50 PM - Andreas Miiller

ref #6161 add passwordReset service to httpInvoker

03/20/2024 1/4



https://cheatsheetseries.owasp.org/cheatsheets/Forgot_Password_Cheat_Sheet.html
http://stackoverflow.com/questions/17219917/guide-to-implementing-spring-security-password-recovery-with-dynamic-url-sent-to#17238620
http://stackoverflow.com/questions/17219917/guide-to-implementing-spring-security-password-recovery-with-dynamic-url-sent-to#17238620
authentication-flows

Revision 708b7586 - 11/11/2021 04:51 PM - Andreas Miiller

ref #6161 add passwordReset service to CdmApplicationRemoteConfiguration

Revision 2ffdc437 - 11/11/2021 05:23 PM - Andreas Miiller

ref #6161 add passwordReset service to CdmApplicationRemoteConfiguration (cont.)

Revision 29e7549 - 11/11/2021 05:37 PM - Andreas Miiller

ref #6161 add passwordReset service to httplnvoker (cont.)

Revision 7b56b4b7 - 11/11/2021 08:19 PM - Andreas Miiller

ref #6161 add passwordReset service to httplnvoker (cont. II)

Revision 87¢f034d - 11/15/2021 03:49 PM - Andreas Kohlbecker

ref #6161 de-duplicating code for password encoding

Revision 9¢05¢99d - 11/15/2021 03:49 PM - Andreas Kohlbecker

ref #6161 fixing read-only bug in PasswordResetService and adding support email address to email messages

Revision f5fa0328 - 11/16/2021 11:26 PM - Andreas Miiller

ref #6161 fix de-duplication code for password encoding

Revision 7c3a1444 - 12/06/2021 05:15 PM - Andreas Kohlbecker

ref #6161 improving method timing for callers

Revision 0e53a8de - 12/06/2021 05:17 PM - Andreas Kohlbecker

ref #6161 improving method timing for callers & reporting reporting email not found

History

#1 - 10/25/2016 10:03 AM - Andreas Kohlbecker

- Tracker changed from bug to feature request

#2 - 10/25/2016 10:06 AM - Andreas Kohlbecker

- Precedes feature request #6162: Implement "Forgot your password?" button in the Taxeditor connect dialog added

#3 - 10/28/2016 09:59 AM - Andreas Kohlbecker
- Parent task set to #6169

#4 - 10/28/2016 10:01 AM - Andreas Kohlbecker

- Subject changed from Function to recover forgotten passwords to Service and webservice to recover forgotten passwords

#5 - 02/16/2018 04:23 PM - Andreas Kohlbecker
- Related to feature request #7275: [DISCUSS] Require email address for Users added

#6 - 02/08/2019 03:50 PM - Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 5.6

#7 - 02/22/2019 05:39 PM - Andreas Kohlbecker
- Priority changed from New to Priority13

- Target version changed from Release 5.6 to Reviewed Next Major Release

#8 - 09/03/2019 04:29 PM - Andreas Kohlbecker
- Parent task changed from #6169 to #8515

#9 - 10/27/2021 03:59 PM - Andreas Miiller

- Target version changed from Reviewed Next Major Release to Release 5.45
I move this to next milestone as it is what you are currently work on as far as | know.

#10 - 11/04/2021 10:49 AM - Andreas Kohlbecker
- Description updated

#11 - 11/10/2021 01:54 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

#12 - 11/10/2021 01:54 PM - Andreas Kohlbecker
- Tags changed from security to security, phycobank, phycobank-ready-for-submitters

- Priority changed from Priority13 to Highest

#13 - 11/11/2021 11:24 AM - Andreas Kohlbecker
- Related to feature request #9859: Password Recovery Ul added

#14 - 11/11/2021 04:54 PM - Andreas Miiller

| added the new service to httplnvoker and CdmApplicationRemoteConfiguration

#15 - 11/12/2021 11:36 AM - Andreas Kohlbecker
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

Andreas Muller wrote:

| added the new service to httplnvoker and CdmApplicationRemoteConfiguration

I am not sure if these service methods are suitable for httplnvoker as they are asynchronously and return Futures. This needs to be checked.

#16 - 11/12/2021 11:46 AM - Andreas Muller
Andreas Kohlbecker wrote:

Andreas Muller wrote:

| added the new service to httplnvoker and CdmApplicationRemoteConfiguration

| am not sure if these service methods are suitable for httplnvoker as they are asynchronously and return Futures. This needs to be checked.

This may be true. However, each CdmRemotingApplicationController requires this service. Alternatively we could implement in another way (e.g. by
throwing an exception when being used).

#17 - 11/12/2021 11:49 AM - Andreas Miiller
- Status changed from Feedback to Resolved

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

... or we implement it similar to the ProgressMonitoring services which also handle asynchronous task but differently.

However, this is not my task. | only wanted to fix the compile error in TaxEditor code. If you think this needs to be done differently feel free to do so.

#18 - 11/24/2021 05:16 PM - Andreas Kohlbecker

- Related to feature request #9497: User self registration service added

#19 - 11/24/2021 05:30 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

| think we can keep it as it is.
#20 - 02/15/2022 03:40 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.29
